Package twisted :: Package mail :: Module mail :: Class IDomain

[frames | no frames]

## Class IDomain

    Interface --+
                |
               IDomain

Known Subclasses:
  `IAliasableDomain`

An email domain.

Method Summary
| ``addUser`(self, user, password)` Add a username/password to this domain.
No-argument callable | ``exists`(self, user)` Check whether or not the specified user exists in this domain.
| ``getCredentialsCheckers`(self)` Return a list of ICredentialsChecker implementors for this domain.
| ``startMessage`(self, user)` Create and return a new message to be delivered to the given user.

Method Details

### addUser(self, user, password)

Add a username/password to this domain.

### exists(self, user)

Check whether or not the specified user exists in this domain.

  Parameters:
    `user` - The user to check
    (type=`twisted.protocols.smtp.User`)
  Returns:
    A `Deferred` which becomes, or a callable which takes no arguments and returns an object implementing `IMessage`. This will be called and the returned object used to deliver the message when it arrives.
    (type=No-argument callable)
  Raises:
    `twisted.protocols.smtp.SMTPBadRcpt` - Raised if the given user does not exist in this domain.

### getCredentialsCheckers(self)

Return a list of ICredentialsChecker implementors for this domain.

### startMessage(self, user)

Create and return a new message to be delivered to the given user.

DEPRECATED. Implement validateTo() correctly instead.

Generated by Epydoc 2.0 on Sat May 15 20:08:34 2004 | http://epydoc.sf.net